{
  "description": "ContainerPort represents a network port in a single container.",
  "properties": {
    "containerPort": {
      "description": "Number of port to expose on the pod's IP address. This must be a valid port number, 0 < x < 65536.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "hostIP": {
      "description": "What host IP to bind the external port to.",
      "type": [
        "string",
        "null"
      ]
    },
    "hostPort": {
      "description": "Number of port to expose on the host. If specified, this must be a valid port number, 0 < x < 65536. If HostNetwork is specified, this must match ContainerPort. Most containers do not need this.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "name": {
      "description": "If specified, this must be an IANA_SVC_NAME and unique within the pod. Each named port in a pod must have a unique name. Name for the port that can be referred to by services.",
      "type": [
        "string",
        "null"
      ]
    },
    "protocol": {
      "description": "Protocol for port. Must be UDP, TCP, or SCTP. Defaults to \"TCP\".\n\n",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "containerPort"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/containerport/v1"
}